﻿using Assets._Scripts;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FishstandController : MonoBehaviour {

    public PlayerController pc;
    private Interaction interaction;
    public FishstandController()
    {
        interaction = new Interaction
        {
            Name = "Buy a Fish!",
            Offer = "Buy a Fish!",
            Work = this.GivePlayerAFish,
            Repeatable = false,
            Used = false
        };
    }

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

    void OnTriggerEnter(Collider col)
    {
        
        if (col.gameObject.name == "Player")
        {
            print("Player entered trigger");
            pc.OfferInteraction(interaction);
        }
    }

    public void GivePlayerAFish()
    {
        pc.GiveItem(new Fish());
        print("GAVE A FISH");
    }

    void OnTriggerExit(Collider col)
    {
        if (col.gameObject.name == "Player")
        {
            print("Player left trigger");
            pc.CancelInteractionOffer(interaction);
        }
    }
}
