﻿using Assets._Scripts;
using Assets.Constants;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GrandmaController : MonoBehaviour {

    private Situation mySituation;
    private bool moving;
    private float x, y, z = 0;
    public GameObject blood;

    private void Awake()
    {
        mySituation = new Assets._Scripts.Situation()
        {
            Action = StartMoving,
            Name = "CatStartMoving",
            SetOffTime = EventTimers.GmaStartWalkingEvent,
            Fires = true
        };
    }

    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        if (moving)
        {
            transform.Translate(x * Time.deltaTime, y * Time.deltaTime, z * Time.deltaTime);
        }
    }

    void OnCollisionEnter(Collision col)
    {
        if (col.gameObject.name == "Piano")
        {
            Destroy(this.gameObject);
            Instantiate(blood, gameObject.transform.position, blood.transform.rotation);
        }
    }

    public void StartMoving()
    {
        z = 1.5f;
        moving = true;
    }

    public Situation GetSituation()
    {
        return mySituation;
    }
}
