﻿using Assets._Scripts;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;
using Assets.Constants;

public class PianoController : MonoBehaviour, HasSituation {
    private bool drop = false;
    private Situation mySituation;
    // Use this for initialization
    private void Awake()
    {
        mySituation = new Situation()
        {
            Action = Drop,
            Name = "DropPiano",
            SetOffTime = EventTimers.PianoStartDroppingEvent,
            Fires = true
        };
    }
	void Start () {

	}
	
	// Update is called once per frame
	void Update () {
        if (drop)
        {
            GetComponent<Rigidbody>().isKinematic = false;
            drop = false;
        }
	}

    public void Drop()
    {
        drop = true;
    }

    public Situation GetSituation()
    {
        return mySituation;
    }
}
