﻿using UnityEngine;

namespace Global
{
    public struct MathC
    {

        public static float RoundToDecimal(float input, float decimals)
        {
            int modifier = (int)Mathf.Pow(10, decimals);
            return (Mathf.Round(input * modifier) / modifier);
        }

        public static float Vector3ToFloat(Vector3 input)
        {
            return (input.x + input.y + input.z);
        }

    }
}
