﻿using Assets._Scripts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using UnityEngine.UI;

public class PlayerController : MonoBehaviour
{
    public Text interactionText;
    private Interaction currentInteraction;
    //private List<Item> items;
    public Item item;

    public PlayerController()
    {
        //items = new List<Item>();
    }
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.E) && currentInteraction != null && (currentInteraction.Repeatable || !currentInteraction.Used))
        {
            currentInteraction.Work.Invoke();
            currentInteraction.Used = true;
            if (!currentInteraction.Repeatable)
            {
                interactionText.text = "";
            }
        }
        
    }

    public void OfferInteraction(Interaction i)
    {
        currentInteraction = i;
        if (currentInteraction.Repeatable || !currentInteraction.Used)
        {
            interactionText.text = i.Offer;
        }
    }

    public void CancelInteractionOffer(Interaction i)
    {
        if(currentInteraction != null && i.Name == currentInteraction.Name)
        {
            currentInteraction = null;
        }
        interactionText.text = "";
    }

    public void GiveItem(Item item)
    {
        this.item = item;
    }
}

